SDL_SetError(3)

NAME
SDL_SetError - Set the SDL error message for the current thread.

SYNOPSIS
#include <SDL3/SDL_error.h>

bool SDL_SetError(const char *fmt, ...);

DESCRIPTION
Calling this function will replace any previous error message that was set.

This function always returns false, since SDL frequently uses false to signify a failing result, leading to this idiom:

        if (error_code) {
            return SDL_SetError("This operation has failed: %d", error_code);
        }

FUNCTION PARAMETERS

fmt a printf()-style message format string.

... additional parameters matching % tokens in the fmt string, if any.

RETURN VALUE
Returns false.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_ClearError(3), SDL_GetError(3), SDL_SetErrorV(3)